MMC:CFG_1.0::
MMC_TOPICS:
# Topics Teach Pendant
-topic_text_id 34,0 -domain_name MMC -domain_type NA -domain_attribute NA
-topic_text_id 34,20 -domain_name PROC -domain_type NA -domain_attribute NA
# 
# Types handled by subject MMC
#
# ---- hirule -----
MMC_CURRENT_PACKAGE:
-use_prog NONE -use_prod NONE

MMC_OPT_PROG_PACKAGE:
-name NONE

MMC_OPT_PROD_PACKAGE:
-name NONE
#
# ---- tp -----
MMC_TP_RUNMOD:
-name AUTO -text_id 34,14 -mode CONT
-name MANUAL -text_id 34,15 -mode CYCLE

# ---- hifi -----
HIFI_MAX_FILES:
-name NumOfFiles -number 100


# Support for changing parameters
# ---- authorizing ----
MMC_USER_LEVELS = MMC_CHOICE:
-text_id 1,6 -setcode OPERATOR
-text_id 1,2 -setcode SERVICE
-text_id 1,3 -setcode PROGRAMMER
-text_id 1,8 -setcode SERVICE&PROGRAMMER

MMC_CONFIRM = MMC_CHOICE:
-text_id 1,31 -setcode YES
-text_id 1,32 -setcode NO

MMC_TYPE:
#
-domain_type MMC_CURRENT_PACKAGE -text_id 34,10  -add_f 0 \ 
-attributes_id MMC_CURRENT_PACKAGE_ATTRIBUTE \
-outline_type MMC_OUTLINE -outline_inst_name current_package_outline
#
-domain_type HIFI_USER_TYPES -text_id 34,4  -add_f 1 \ 
-attributes_id MMC_HIFI_USER_TYPES_ATTRIBUTE \
-outline_type MMC_OUTLINE -outline_inst_name user_types_outline
#
-domain_type HIFI_MAX_FILES -text_id 1,149  -add_f 0 \ 
-attributes_id MMC_HIFI_MAX_FILES_ATTRIBUTES \
-outline_type MMC_OUTLINE -outline_inst_name max_files_outline
#
-domain_type MMC_TP_RUNMOD -text_id 34,16  -add_f 0 \ 
-attributes_id MMC_TP_RUNMOD_ATTRIBUTES \
-outline_type MMC_OUTLINE -outline_inst_name runmod_outline
#
MMC_OUTLINE:
-Name current_package_outline -dsp_parms 1,2 -header_id 34,13
-Name user_types_outline -dsp_parms 1,2 -header_id 34,3
-Name max_files_outline -dsp_parms 1,2 -header_id 3,86
-Name runmod_outline -dsp_parms 1,2 -header_id 34,17
#
# ---- hic -----
MMC_CURRENT_PACKAGE_ATTRIBUTE = MMC_ATTRIBUTE:
-attribute_id use_prog  -text_id 34,11 -present_type SIMPLE \
-change_type CHOICE_INSTANCE -choices_type_name MMC_OPT_PROG_PACKAGE
#
-attribute_id use_prod  -text_id 34,12 -present_type SIMPLE \
-change_type CHOICE_INSTANCE -choices_type_name MMC_OPT_PROD_PACKAGE
#
# ---- hifi -----
MMC_HIFI_USER_TYPES_ATTRIBUTE = MMC_ATTRIBUTE:
-attribute_id name  -text_id 34,1 -present_type SIMPLE \
-change_type TEXT -char_length 3 -reconfig
-attribute_id description  -text_id 34,2 -present_type SIMPLE \
-change_type TEXT -char_length 20 -reconfig

MMC_HIFI_MAX_FILES_ATTRIBUTES = MMC_ATTRIBUTE:
-attribute_id name -text_id 1,47 -present_type SIMPLE \
-change_type NONE
-attribute_id number -text_id 3,57 -reconfig -present_type SIMPLE \
-change_type INTEGER
#
# ---- tp ----
MMC_TP_RUNMOD_ATTRIBUTES = MMC_ATTRIBUTE:
-attribute_id name -text_id 34,18 -present_type SIMPLE_TEXT_ID \
-change_type NONE
-attribute_id mode -text_id 34,19 -present_type SIMPLE \
-change_type FKBAR -fkbar_id MMC_TP_RUNMOD_FKBAR -reconfig

MMC_TP_RUNMOD_FKBAR = MMC_FKEY:
-text_id 1,64 -fktype SETA -setcode CONT
-text_id 1,65 -fktype SETA -setcode CYCLE
